summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2021-01-02 14:14:20 (EST)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2021-01-02 15:04:33 (EST)
commit8078cbb57602ba24cf3a6e0f8896e762b42757b8 (patch)
tree5d69e9500047351ed1b19c30a6a92d28c784b5ba
parent1f61eb639af416de8341bf982b9ffbf61720151b (diff)
tests/lib/ob_touch_t_gmtime.sh: New file
-rwxr-xr-xtests/lib/ob_touch_t_gmtime.sh46
-rw-r--r--tests/local.mk1
2 files changed, 47 insertions, 0 deletions
diff --git a/tests/lib/ob_touch_t_gmtime.sh b/tests/lib/ob_touch_t_gmtime.sh
new file mode 100755
index 0000000..f7c481c
--- /dev/null
+++ b/tests/lib/ob_touch_t_gmtime.sh
@@ -0,0 +1,46 @@
+# Tests for ob_touch_t_gmtime()
+#
+# Copyright (C) 2019, 2021 Patrick McDermott
+#
+# This file is part of opkbuild.
+#
+# opkbuild is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkbuild is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+. "${TOP_SRCDIR}/tests/aux/common.sh"
+. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
+
+plan_ 10
+
+tst()
+{
+ local in="${1}"
+ local out="${2}"
+ shift 2
+
+ is "${in} = ${out}" "$(ob_touch_t_gmtime "${in}")" "${out}"
+}
+
+tst 0 '197001010000.00'
+tst 1 '197001010000.01'
+tst 108123 '197001020602.03'
+tst 41877296 '197104301634.56'
+tst 762480000 '199403010000.00'
+tst 962443230 '200007010920.30'
+tst 1607419408 '202012080923.28'
+tst 1609459199 '202012312359.59'
+tst 1609510819 '202101011420.19'
+tst 2147483648 '203801190314.08'
diff --git a/tests/local.mk b/tests/local.mk
index 7eca563..d2770f4 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -9,6 +9,7 @@ TESTS = \
%reldir%/lib/ob_get_binary_parameter.sh \
%reldir%/lib/ob_rfc822_mktime.sh \
%reldir%/lib/ob_iso8601_gmtime.sh \
+ %reldir%/lib/ob_touch_t_gmtime.sh \
%reldir%/exe/opkbuild_version.sh \
%reldir%/exe/ob-buildenv.sh \
%reldir%/exe/ob-unpacksource.sh \